<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\EmpleadoController;
use App\Http\Controllers\DepartamentoController;
use App\Http\Controllers\ReporteController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*
Route::get('/', function () {
    return view('auth.login');
});
*/

/*
Route::get('/reporte', function () {
    return view('reporte.index');
});
*/

Route::resource('departamento', DepartamentoController::class)->middleware('auth');

Route::resource('empleado', EmpleadoController::class)->middleware('auth');
Auth::routes(['register'=>false,'reset'=>false]);

Route::get('/home', [EmpleadoController::class, 'index'])->name('home');



Route::group(['middleware'=>'auth'], function() {
    Route::get('/', [EmpleadoController::class, 'index'])->name('home');
    Route::get('reporte', [ReporteController::class, 'index'])->name('reporte.index');
    Route::get('reporte/generar', [ReporteController::class, 'generar'])->name('reporte.generar');
    Route::patch('departamento/reasignar/{id}', [DepartamentoController::class, 'reasignar'])->name('departamento.reasignar');
});
    