
<?php $__env->startSection('content'); ?>
<div class="container">
    

<?php if( Session::has('mensaje') ): ?>
    <div class="alert alert-danger" role="alert">
    <?php echo e(Session::get('mensaje')); ?>


<button type="button" class="close" data-dismiss="alert" aria-label="Close" >
<span aria-hidden="true">&times;</span>
</button>

</div>
<?php endif; ?>

<h1>Reporte de usuarios</h1>
<br>
<?php if(isset($departamento)): ?>
   
<h2>Departamento: <?php echo e($departamento->dpto_name); ?></h2>
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Nombre</th>
            <th>Apellido Paterno</th>
            <th>Apellido Materno</th>
            <th>Correo</th>
        </tr>
    </thead>
    <tbody>
    <?php $__currentLoopData = $empleados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $empleado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr>
            <td><?php echo e($empleado->id); ?></td>
            <td><?php echo e($empleado->Nombre); ?></td>
            <td><?php echo e($empleado->ApellidoPaterno); ?></td>
            <td><?php echo e($empleado->ApellidoMaterno); ?></td>
            <td><?php echo e($empleado->Correo); ?></td>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
<?php elseif(isset($query)): ?>
<h2>Búsqueda de usuario: <?php echo e($query); ?></h2>
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Nombre</th>
            <th>Apellido Paterno</th>
            <th>Apellido Materno</th>
            <th>Correo</th>
        </tr>
    </thead>
    <tbody>
    <?php $__currentLoopData = $empleados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $empleado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr>
            <td><?php echo e($empleado->id); ?></td>
            <td><?php echo e($empleado->Nombre); ?></td>
            <td><?php echo e($empleado->ApellidoPaterno); ?></td>
            <td><?php echo e($empleado->ApellidoMaterno); ?></td>
            <td><?php echo e($empleado->Correo); ?></td>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
<?php endif; ?>

</table>
<a class="btn btn-primary" href="<?php echo e(url('/reporte')); ?>">Generar nuevo informe</a> | 
<?php if(isset ($departamento)): ?>
  <a class="btn btn-primary" href="<?php echo e(route('reporte.generar',['download'=>'pdf', 'reporte_id'=>$departamento->id])); ?>">Exportar PDF</a>
<?php elseif(isset ($query)): ?>
    <a class="btn btn-primary" href="<?php echo e(route('reporte.generar',['download'=>'pdf', 'buscar'=>$query, $q_string ])); ?>">Exportar PDF</a>
<?php endif; ?>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/mamp-laravel/frameworks/sistema/resources/views/reporte/generar.blade.php ENDPATH**/ ?>