
<?php $__env->startSection('content'); ?>
<div class="container">

<?php if($errors->any()): ?>
    <div class="alert alert-danger" role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
        </button> 
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?>

<?php if( Session::has('mensaje') ): ?>
<div class="alert alert-success" role="alert">
    <?php echo e(Session::get('mensaje')); ?>

    <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
    </button>
     </div>

<?php elseif(Session::has('mensaje2')): ?>
<div class="alert alert-danger" role="alert">
    <?php echo e(Session::get('mensaje2')); ?>


<button type="button" class="close" data-dismiss="alert" aria-label="Close" >
<span aria-hidden="true">&times;</span>
</button>
</div>
<?php endif; ?>


<a href="<?php echo e(url('departamento/create')); ?>" class="btn btn-success">Registrar nuevo departamento</a>
<br>
<br>
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Nombre</th>
            <th>Acciones</th>
        </tr>
    </thead>
    <tbody>
    <?php $__currentLoopData = $departamentos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $departamento): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr>
            <td><?php echo e($departamento->id); ?></td>
            <td><?php echo e($departamento->dpto_name); ?></td>
            <td>

            <a href="<?php echo e(url('/departamento/'.$departamento->id.'/edit')); ?>" class="btn btn-warning">
                Editar
            </a>
            |
        
            <form action="<?php echo e(url('/departamento/'.$departamento->id)); ?>" class="d-inline" method="post">
            <?php echo csrf_field(); ?>
            <?php echo e(method_field('DELETE')); ?>

                <input class="btn btn-danger" type="submit" onclick="return confirm('Quieres borrar?')" value="Borrar">
            </form>
            </td>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/mamp-laravel/frameworks/sistema/resources/views/departamento/index.blade.php ENDPATH**/ ?>