<!-- Fomulario con los datos en comun con create y edit -->

<h1>{{$modo}} empleado</h1>

@if(count($errors)>0)

<div class="alert alert-danger" role="alert">
<ul>  
  @foreach($errors->all() as $error)
   <li> {{ $error }} </li>
  @endforeach
</ul>
</div>

 
@endif

<div class="form-group">
<label for="Nombre">Nombre </label>
  <input type="text" class="form-control" name="Nombre" value="{{ isset($empleado->Nombre)?$empleado->Nombre:old('Nombre') }}" id="Nombre">
</div>

<div class="form-group">
  <label for="ApellidoPaterno">Apellido Paterno </label>
  <input type="text" class="form-control" name="ApellidoPaterno" value="{{ isset($empleado->ApellidoPaterno)?$empleado->ApellidoPaterno:old('ApellidoPaterno') }}" id="ApellidoPaterno">
  </div>

  <div class="form-group">
  <label for="ApellidoMaterno">Apellido Materno </label>
  <input type="text" class="form-control" name="ApellidoMaterno" value="{{ isset($empleado->ApellidoMaterno)?$empleado->ApellidoMaterno:old('ApellidoMaterno') }}" id="ApellidoMaterno">
  </div>

  <div class="form-group">
  <label for="Correo">Correo </label>
  <input type="text" class="form-control" name="Correo" value="{{ isset($empleado->Correo)?$empleado->Correo:old('Correo') }}" id="Correo">
</div>


<div class="form-group">
  <label for="Departamento">Departamento </label>

  <select id="dpto" class="form-control" name="departamentos_id" }}>
    
    @if(isset($departamentos) && isset($empleado->departamentos_id) )
      @foreach($departamentos as $departamento)
        <option value="{{ $departamento->id }}" {{ ($empleado->departamentos_id==$departamento->id)? 'selected':''  }} >{{ $departamento->dpto_name }}</option>
      @endforeach

    @elseif(isset($departamentos))
      @foreach($departamentos as $departamento)
        <option value="{{ $departamento->id }}">{{ $departamento->dpto_name }}</option>
      @endforeach

    @endif
  </select>
</div>


  <div class="form-group">
  <label for="Foto"></label>
  @if(isset($empleado->Foto))
  <img class="img-thumbnail img-fluid" src="{{ asset('storage').'/'.$empleado->Foto }}" width="100" alt="">
  @endif
  <input type="file" class="form-control" name="Foto" id="Foto">
  </div>

  <input class="btn btn-success" type="submit" value="{{$modo}}">  
  <a class="btn btn-primary" href="{{ url('empleado/') }}">Regresar</a>
