@extends('layouts.app')

@section('content')
<div class="container">

@if( Session::has('mensaje') )
    <div class="alert alert-success" role="alert">
    {{  Session::get('mensaje') }}

<button type="button" class="close" data-dismiss="alert" aria-label="Close" >
<span aria-hidden="true">&times;</span>
</button>

</div>
@endif

<h1>Reporte de usuarios</h1>
<br>
@if(isset($departamento))
   
<h2>Departamento: {{  $departamento->dpto_name }}</h2>
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Nombre</th>
            <th>Apellido Paterno</th>
            <th>Apellido Materno</th>
            <th>Correo</th>
        </tr>
    </thead>
    <tbody>
    @foreach ($empleados as $empleado)
        <tr>
            <td>{{ $empleado->id }}</td>
            <td>{{ $empleado->Nombre }}</td>
            <td>{{ $empleado->ApellidoPaterno }}</td>
            <td>{{ $empleado->ApellidoMaterno }}</td>
            <td>{{ $empleado->Correo }}</td>
        </tr>
    @endforeach
    </tbody>
@elseif(isset($query))
<h2>Búsqueda de usuario: {{  $query }}</h2>
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Nombre</th>
            <th>Apellido Paterno</th>
            <th>Apellido Materno</th>
            <th>Correo</th>
        </tr>
    </thead>
    <tbody>
    @foreach ($empleados as $empleado)
        <tr>
            <td>{{ $empleado->id }}</td>
            <td>{{ $empleado->Nombre }}</td>
            <td>{{ $empleado->ApellidoPaterno }}</td>
            <td>{{ $empleado->ApellidoMaterno }}</td>
            <td>{{ $empleado->Correo }}</td>
        </tr>
    @endforeach
    </tbody>
@endif

</table>
</div>
@endsection