<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="Nem8J7wtoc3BTo9q0AGOaZnkHV51IrGK49jJEMUW">

    <title>Empresa Pirata</title>

    <!-- Scripts -->
    <script src="http://127.0.0.1:8080/sistema/js/app.js" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet"> 

    <!-- Styles -->
    <link href="http://127.0.0.1:8080/sistema/css/reporte.css" rel="stylesheet">
    
  </head>
  <body>
    <main class="py-4">
<div class="container">

<h1>Reporte de usuarios</h1>
<br>
@if(isset($departamento))
   
<h2>Departamento: {{  $departamento->dpto_name }}</h2>
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Nombre</th>
            <th>Apellido Paterno</th>
            <th>Apellido Materno</th>
            <th>Correo</th>
        </tr>
    </thead>
    <tbody>
    @foreach ($empleados as $empleado)
        <tr>
            <td>{{ $empleado->id }}</td>
            <td>{{ $empleado->Nombre }}</td>
            <td>{{ $empleado->ApellidoPaterno }}</td>
            <td>{{ $empleado->ApellidoMaterno }}</td>
            <td>{{ $empleado->Correo }}</td>
        </tr>
    @endforeach
    </tbody>
@elseif(isset($query))
<h2>Búsqueda de usuario: {{  $query }}</h2>
<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Nombre</th>
            <th>Apellido Paterno</th>
            <th>Apellido Materno</th>
            <th>Correo</th>
        </tr>
    </thead>
    <tbody>
    @foreach ($empleados as $empleado)
        <tr>
            <td>{{ $empleado->id }}</td>
            <td>{{ $empleado->Nombre }}</td>
            <td>{{ $empleado->ApellidoPaterno }}</td>
            <td>{{ $empleado->ApellidoMaterno }}</td>
            <td>{{ $empleado->Correo }}</td>
        </tr>
    @endforeach
    </tbody>
@endif

</table>
</div>
</main>
</body>
</html>