
<?php $__env->startSection('content'); ?>
<div class="container">

  <?php if($errors->any()): ?>
    <div class="alert alert-danger" role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
        </button> 
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?>

<?php if( Session::has('mensaje') ): ?>
    <div class="alert alert-danger" role="alert">
    <?php echo e(Session::get('mensaje')); ?>


<button type="button" class="close" data-dismiss="alert" aria-label="Close" >
<span aria-hidden="true">&times;</span>
</button>
</div>
<?php endif; ?>

<script language="javascript" type="text/javascript">
  function setVisible(id, visible) {
      var o = document.getElementById(id); //get the element based on it's id
  
      //if the element exists then set it's visiblity
      if (typeof(o) != 'undefined') o.style.visibility = visible ? 'visible' : 'hidden';
      if (typeof(o) == 'undefined') alert("Element with id '" + id + "' not found.");
  }
  
  function setDisplay(id, visible) {
      var o = document.getElementById(id);
      if (typeof(o) != 'undefined') o.style.display = visible ? 'block' : 'none';
      if (typeof(o) == 'undefined') alert("Element with id '" + id + "' not found.");
  }
  
  </script>

<br>
<h1>Reporte de usuarios</h1>

<form action="<?php echo e(url('/reporte/generar')); ?>" method="GET" id="reporte">
  <?php echo csrf_field(); ?>

  <div class="form-check">
    <input class="form-check-input" type="radio" name="reporte" id="dptos" checked onclick="setDisplay('dpto', true); setDisplay('empleado', false);">
    <label class="form-check-label" for="dptos">Buscar por departamentos</label>
  </div>

  <div class="form-check">
    <input class="form-check-input" type="radio" name="reporte" id="empleados" onclick="setDisplay('empleado', true); setDisplay('dpto', false);" /> 
    <label class="form-check-label" for="empleados">Buscar usuarios</label>
  </div>

  <div class="form-group" id="dpto">
    <label for="Departamento"></label>
  
    <select id="dpto-list" class="form-control form-select-sm" name="reporte_id">
    <option value="0" selected>Seleccione un departamento...</option>
      <?php $__currentLoopData = $departamentos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $departamento): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <option value="<?php echo e($departamento->id); ?>"><?php echo e($departamento->dpto_name); ?></option>
      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </select>
  </div>

  <div class="form-group" style="display:none; margin-top:15px" id="empleado">
    <input type="text" class="form-control" name="buscar" id="buscar" placeholder="Buscar usuario"><br/>
    <label>Buscar en:</label><br/>
    <input type="checkbox" name="cols[]" value="Todos" checked> Todos <br/>
    <input type="checkbox" name="cols[]" value="ID"> ID <br/>
    <input type="checkbox" name="cols[]" value="Nombre"> Nombre <br/>
    <input type="checkbox" name="cols[]" value="ApellidoMaterno"> Apellido Materno <br/>
    <input type="checkbox" name="cols[]" value="ApellidoPaterno"> Apellido Paterno <br/>
    <input type="checkbox" name="cols[]" value="Correo"> Correo <br/>
   
  </div>

    
<br>
    <div class="form-group row">
      <div class="col-sm-9">
          <button type="submit" class="btn btn-primary">Generar informe</button>
      </div>
  </div>

</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/mamp-laravel/frameworks/sistema/resources/views/reporte/index.blade.php ENDPATH**/ ?>