<?php $__env->startSection('content'); ?>
<div class="container">

    <?php if($errors->any()): ?>
    <div class="alert alert-danger" role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
        </button> 
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?>

<?php if( Session::has('mensaje') ): ?>
<div class="alert alert-success" role="alert">
    <?php echo e(Session::get('mensaje')); ?>

    <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
        <span aria-hidden="true">&times;</span>
    </button>
     </div>

     <?php elseif(isset($mensaje2)): ?>
     <div class="alert alert-danger" role="alert">
         <?php echo e($mensaje2); ?>

 
     <button type="button" class="close" data-dismiss="alert" aria-label="Close" >
     <span aria-hidden="true">&times;</span>
     </button>
     </div>
 <?php endif; ?>

<br>
<form action="<?php echo e(url('/departamento/reasignar/'.$id)); ?>" class="d-inline" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <?php echo e(method_field('PATCH')); ?>

<table class="table table-light">
    <thead class="thead-light">
        <tr>
            <th>#</th>
            <th>Foto</th>
            <th>Nombre</th>
            <th>Apellido Paterno</th>
            <th>Apellido Materno</th>
            <th>Correo</th>
            <th>Departamento</th>
        </tr>
    </thead>
    <tbody>
    <?php $__currentLoopData = $empleados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $empleado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr>
            <td><?php echo e($empleado->id); ?></td>
            <td>
            <img class="img-thumbnail img-fluid" src="<?php echo e(asset('storage').'/'.$empleado->Foto); ?>" width="100" alt="">    
            </td>
            <td><?php echo e($empleado->Nombre); ?></td>
            <td><?php echo e($empleado->ApellidoPaterno); ?></td>
            <td><?php echo e($empleado->ApellidoMaterno); ?></td>
            <td><?php echo e($empleado->Correo); ?></td>
            <td>
                <input type="hidden" name="<?php echo e('empleado['.$empleado->id.'][emp]'); ?>" value="<?php echo e($empleado->id); ?>">
                <select id="dpto" class="form-control" name="<?php echo e('empleado['.$empleado->id.'][dep]'); ?>">
                <option value="" >Seleccione un departamento</option>
    
                    <?php if(isset($departamentos) ): ?>
                      <?php $__currentLoopData = $departamentos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $departamento): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($departamento->id); ?>" <?php echo e((collect(old('empleado.'.$empleado->id))->contains($departamento->id)) ? 'selected':''); ?>><?php echo e($departamento->dpto_name); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                  </select>
            </td>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>
        <input class="btn btn-success" type="submit" value="Actualizar usuarios">
        <a class="btn btn-primary" href="<?php echo e(url('departamento/')); ?>">Regresar</a>
    </form>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/mamp-laravel/frameworks/sistema/resources/views/departamento/reasignar.blade.php ENDPATH**/ ?>